Botan: Botan::TLS_Connection Class Reference

Botan 1.10.16

Public Member Functions | List of all members
Botan::TLS_Connection Class Referenceabstract

`#include <tls_connection.h>`

Inheritance diagram for Botan::TLS_Connection:

## Public Member Functions
virtual void | close ()=0
virtual std::vector< X509_Certificate > | peer_cert_chain () const =0
virtual size_t | read (byte[], size_t)=0
size_t | read (byte &in)
virtual void | write (const byte[], size_t)=0
void | write (byte out)
virtual | ~TLS_Connection ()

## Detailed Description

TLS Connection

Definition at line 19 of file tls_connection.h.

## Constructor & Destructor Documentation

## ◆ ~TLS_Connection()

virtual Botan::TLS_Connection::~TLS_Connection | ( |  | ) |
| inlinevirtual

Definition at line 31 of file tls_connection.h.

31 {}

## Member Function Documentation

## ◆ close()

virtual void Botan::TLS_Connection::close | ( |  | ) |
| pure virtual

Implemented in Botan::TLS_Server, and Botan::TLS_Client.

## ◆ peer_cert_chain()

virtual std::vector<X509_Certificate> Botan::TLS_Connection::peer_cert_chain | ( |  | ) | const
| pure virtual

Implemented in Botan::TLS_Client, and Botan::TLS_Server.

## ◆ read() [1/2]

virtual size_t Botan::TLS_Connection::read | ( | byte | [],
|  | size_t |
| ) |  |
| pure virtual

Implemented in Botan::TLS_Client, and Botan::TLS_Server.

## ◆ read() [2/2]

size_t Botan::TLS_Connection::read | ( | byte & | in | ) |
| inline

Definition at line 24 of file tls_connection.h.

References read().

Referenced by read().

24 { return read(&in, 1); }
Botan::TLS_Connection::read
virtual size_t read(byte[], size_t)=0

## ◆ write() [1/2]

virtual void Botan::TLS_Connection::write | ( | const byte | [],
|  | size_t |
| ) |  |
| pure virtual

Implemented in Botan::TLS_Client, and Botan::TLS_Server.

## ◆ write() [2/2]

void Botan::TLS_Connection::write | ( | byte | out | ) |
| inline

Definition at line 25 of file tls_connection.h.

References write().

Referenced by write().

25 { write(&out, 1); }
Botan::TLS_Connection::write
virtual void write(const byte[], size_t)=0

The documentation for this class was generated from the following file:

- src/ssl/tls_connection.h